<?php

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgJoomsuite_content_fieldsProduct_property_rent extends JPlugin
{
	var $SEPARATOR = '__PROD_PROP__';
	var $reserved = 'red';
	var $onhold = 'silver';
	var $manual = 'orange';

	function plgJoomsuite_content_fieldsProduct_property_rent(&$subject, $params) {
		parent::__construct($subject, $params);
	}

	function onRenderField(&$obj, &$params, $type)
	{
		if($type != 'product_property_rent') return;
		$val = ($obj->field_value) ? unserialize($obj->field_value) : array();

		$out = '';

		if($params->get('allow_days_type'))
		{
			$opt[] = JHTML::_('select.option', 'hour', JText::_('Hour'));
			$opt[] = JHTML::_('select.option', 'day', JText::_('Day'));
			$opt[] = JHTML::_('select.option', 'month', JText::_('Month'));

			$list = JHTML::_('select.genericlist', $opt, 'fields['.$obj->id.'][days_type]', 'class="inputbox"
					onchange="showDaysTypeAmount(this.value, \''.$obj->id.'\')"',
					'value', 'text', (isset($val['days_type']) ? $val['days_type'] : ''));
		}
		else
		{
			$val['days_type'] = $params->get('default_days_type');
			$list = '<input type="hidden" name="fields['.$obj->id.'][days_type]" value="'.$params->get('default_days_type').'">'
			. JText::_($params->get('default_days_type'));
		}

		$amount_day = '<select name="fields['.$obj->id.'][amount]"><option value="2" '.((isset($val['amount']) && $val['amount'] == 2) ? 'selected' : '').'>2 '.JText::_('Months').'</option><option value="4" '.((isset($val['amount']) && $val['amount'] == 4) ? 'selected' : '').'>4 '.JText::_('Months').'</option><option value="6" '.((isset($val['amount']) && $val['amount'] == 6) ? 'selected' : '').'>6 '.JText::_('Months').'</option></select>	';
		$amount_month = '<select name="fields['.$obj->id.'][amount]"><option value="1" '.((isset($val['amount']) && $val['amount'] == 1) ? 'selected' : '').'>1 '.JText::_('Year').'</option><option value="2" '.((isset($val['amount']) && $val['amount'] == 2) ? 'selected' : '').'>2 '.JText::_('Years').'</option></select>	';
		$amount = $amount_hour ='<input type="hidden" name="fields['.$obj->id.'][amount]" value="">';
		if(isset($val['days_type']))
		{
			switch($val['days_type'])
			{
				case 'day' 		: $amount = $amount_day; 	break;
				case 'month'	: $amount = $amount_month;	break;
			}
		}
		$discount = isset($val['discount']) ? $val['discount'] : array();

		$out .= JText::_('Set price amount')
		. ' <input type="text" name="fields['.$obj->id.'][rent]" value="'.(isset($val['rent']) ? $val['rent'] : '') .'"
		size="5" id="rent-'.$obj->id.'" onkeyup="formatFloat(\'rent-'.$obj->id.'\')"> '
		. JText::_('per').' 1 '.$list;
		$out .=  '<span id="dt_period-'.$obj->id.'"> '. ((isset($val['days_type']) && $val['days_type'] != 'hour') ? JText::_("Show period for").' ' : ''). $amount.'</span>';

		if($params->get('advanced'))
		{
			$out .= '<br><br><b>'.JText::_('Advanced mode').'</b> --------------------------------------------------------------------------------------------
			<div id="adv-'.$obj->id.'">';

			$discount1 = '<br><br>'.JText::_('Discount').'
				<input type="text" value="'.(isset($discount['amount'][0]) ? $discount['amount'][0] : '').'" name="fields['.$obj->id.'][discount][amount][]" size="5">% 
				'.JText::_('per more than').'
				<input type="text" value="'.(isset($discount['per'][0]) ? $discount['per'][0] : '7').'" name="fields['.$obj->id.'][discount][per][]" size="5">
				<span id="discount1-'.$obj->id.'">'.(isset($val['days_type']) ? JText::_($val['days_type'].'(s)') : JText::_('Hour(s)')).'</span>';
			$discount2 = '<br><br>'.JText::_('Discount').'
				<input type="text" value="'.(isset($discount['amount'][1]) ? $discount['amount'][1] : '').'" name="fields['.$obj->id.'][discount][amount][]" size="5">% 
				'.JText::_('per more than').'
				<input type="text" value="'.(isset($discount['per'][1]) ? $discount['per'][1] : '14').'" name="fields['.$obj->id.'][discount][per][]" size="5">
				<span id="discount2-'.$obj->id.'">'.(isset($val['days_type']) ? JText::_($val['days_type'].'(s)') : JText::_('Hour(s)')).'</span>';

			$out .= '</div>';
			$out .= $discount1;
			$out .= $discount2;
		}
		echo $out;

		?>

<script type="text/javascript">
	<!--
		xajax_jsCallPlugin('joomsuite_content_fields', 'product_property_rent', 'xajax_jcShowAdvanced', [document.getElementById('fields<?php echo $obj->id; ?>days_type').value, <?php echo $obj->id; ?>, '<?php echo $obj->field_value; ?>', <?php echo $params->get('monday_first'); ?>, '<?php if ($val['days_type'] == 'day' && isset($val['advanced_rent']['day_period'])) echo $val['advanced_rent']['day_period'];?>']);
		function formatFloat(id)
		  {
		      var cur = document.getElementById(id).value;
		      reg = /[^\d\.]+/;
		      cur = cur.replace(',', '.');
		      cur = cur.replace('..', '.');
		      cur = cur.replace(reg, '');
		      document.getElementById(id).value = cur;
		  }
		function formatInt(id)
		{
			var cur = document.getElementById(id).value;
			reg = /[^\d]+/;
			cur = cur.replace(reg, "");
			document.getElementById(id).value = cur;
		}
		function showDaysTypeAmount(val, id)
		{
			var dt = document.getElementById("dt_period-"+id);
			if(val == 'hour') dt.innerHTML = ' <?php echo $amount_hour; ?>';
			if(val == 'day') dt.innerHTML = ' <?php echo JText::_("Show period for").' '.$amount_day; ?>';
			if(val == 'month') dt.innerHTML = ' <?php echo JText::_("Show period for").' '.$amount_month; ?>';	
			<?php if($params->get('advanced')) { ?>
			xajax_jsCallPlugin('joomsuite_content_fields', 'product_property_rent', 'xajax_jcShowAdvanced', [val, id, '<?php echo $obj->field_value; ?>', <?php echo $params->get('monday_first'); ?>, '']);
			<?php } ?>		
		}
		function selectdayPeriod(val, id, period)
		{
		xajax_jsCallPlugin('joomsuite_content_fields', 'product_property_rent', 'xajax_jcShowAdvanced', [val, id, '<?php echo $obj->field_value; ?>', <?php echo $params->get('monday_first'); ?>, period]);
		}
	//-->
	</script>
			<?php

	}

	function onBeforeSave(&$value, &$params, $type, $id, $row, &$error)
	{
		if($type != 'product_property_rent') return;
		//if(!$value['rent']) return;
		//if( !strstr($value['rent'], '+' ) )
		//$value['rent'] = '+'.$value['rent'];
		$value['rent'] = str_replace("+", "", $value['rent']);

		$value = serialize($value);
	}

	function onRenderFieldValue(&$out, &$field, &$record, $category)
	{
		if($field->type != 'product_property_rent') return;
		if(!$field->field_value) return;
		
		$params = new JParameter($field->params);
		$user = $record->user_id;
		$type = $field->type;
		
	
		$option = JRequest::getString('option');
		if(JRequest::getInt('book'))
		{
			$this->jcBookDates($field); return;
		}

		$value = unserialize($field->field_value);
		if(!$value['rent']) return;
		$advanced = 0;

		if($params->get('advanced', 0))
		{
			$advanced = $value['advanced_rent'][$value['days_type']];
			if(count($advanced))
			{
				$out = '<ul>'.JText::_('Rent affect is').':';
				$tmp = array();
				foreach($advanced as $k => $adv)
				{
					if(!is_array($adv))
					{
						if($adv == '') $adv = $value['rent'];
						$tmp[$adv][] = $k;
					}
				}
				if(count($advanced) > 1)
				{
					//$out .= '<fieldset><legend>'.JText::_('Special prices').'</legend>';
					switch ($value['days_type'])
					{
						case 'hour':
							$hours = array();
							for($i = 0; $i < 24; $i++ )
							{
								$hours[] = $i < 10 ? '0'.$i : $i;
								$hours_to[] = ($i+1 < 10) ? '0'.($i+1) : $i+1;
							}
							$to_out[] = '
									<tr><th class="sectiontableheader" width="25px" align="center"><b>'.JText::_('Time').'</b></th>
										<th class="sectiontableheader" width="25px" align="center"><b>'.JText::_('Affect').'</b></th></tr>';
							/*
							 foreach ($advanced as $k => $rent)
							 {

							 $to_out[] = '
							 <tr class="sectiontableentry'.($k%2 + 1).'"><td>'.$hours[$k].'<sup>00</sup> - '.$hours_to[$k].'<sup>00</sup></td><td>+'.$rent.'</td></tr>';

								//$out .= '<li><b>+'.$rent.'</b> '.JText::_('per').' '.implode(", ", $to_out).'.';
								}
								$out .= '<table width="50%" cellpadding="0" cellspacing="0">'.implode("", $to_out).'</table>';
								*/
							$out = JText::_('To see the Rent Affect click on the Open Availability Table link.');
							if($option == 'com_resource' && JRequest::getVar('view') == 'list')
							$out = '';
							break;
						case 'day':
							/*
							 if($monday = $params->get('monday_first'))
							 $week = array (JText::_('Mon'), JText::_('Tue'), JText::_('Wed'), JText::_('Thu'), JText::_('Fri'), JText::_('Sat'), JText::_('Sun'));
							 else
							 $week = array (JText::_('Sun'), JText::_('Mon'), JText::_('Tue'), JText::_('Wed'), JText::_('Thu'), JText::_('Fri'), JText::_('Sat'));
							 */

							switch ($value['advanced_rent']['day_period'])
							{
								case 'week_days':
									$week = array (JText::_('Sunday'), JText::_('Monday'), JText::_('Tuesday'), JText::_('Wednesday'), JText::_('Thursday'), JText::_('Friday'), JText::_('Saturday'));


									// $week = array (JText::_('Monday'), JText::_('Tuesday'), JText::_('Wednesday'), JText::_('Thursday'), JText::_('Friday'), JText::_('Saturday'), JText::_('Sunday'));
									//ksort($tmp);

									/*
									 foreach ($tmp as $rent => $m)
									 {
										$to_out = array();

										foreach($m as $i => $mon)
										{
										$to_out[$mon] = JText::_($week[$mon]);
										}
										$out .= '<li><b>+'.$rent.'</b> '.JText::_('per').' '.implode(", ", $to_out).'.';
										}*/
									$to_out = array();
									foreach ($advanced as $k => $rent)
									{
										if($rent == '') $rent = $value['rent'];
										$to_out[$k] = '<li><b>+'.$rent.'</b> '.JText::_('per').' '.JText::_($week[$k]);
									}
									if($monday = $params->get('monday_first'))
									{
										$sunday = array_shift($to_out);
										$to_out[] = $sunday;
									}
									$out .= implode($to_out);
									break;

								case 'weeks':
									/*
									 * $months = array(
								JText::_('January'), 
								JText::_('Febrary'), 
								JText::_('March'), 
								JText::_('April'), 
								JText::_('May'), 
								JText::_('June'), 
								JText::_('July'), 
								JText::_('August'), 
								JText::_('September'), 
								JText::_('October'), 
								JText::_('Novermber'), 
								JText::_('December'));
									 $per_day .= '<tr><td></td><td>1 - 7</td><td>8 - 14</td><td>15 - 21</td><td>22 - 28</td><td>29 - 31</td></tr>';
									 $k = 0;
									 foreach ($months as $n => $month )
									 {
									 $per_day .= '<tr>';
									 $per_day .= '<td>'.JText::_($month).'</td>';
									 $num = date('t', mktime(0, 0, 0, $n + 1, 1, date('Y')));
									 $num = ceil($num / 7);

									 for ($i = 1; $i <= $num; $i ++)
									 {
									 $default = isset($advanced['day'][$k]) ? $advanced['day'][$k] : (isset($val['rent']) ? $val['rent'] : '');
									 $per_day .= '<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][day][]"
									 id="fields-'.$id.'-advanced_rent-day-'.$i.'"
									 value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';
									 $k ++ ;

									 }
									 if($num == 4)
									 $per_day .= '<td></td>';
									 $per_day .= '</tr>';
									 }
									 */
									$months = array(
										JText::_('January'), 
										JText::_('Febrary'), 
										JText::_('March'), 
										JText::_('April'), 
										JText::_('May'), 
										JText::_('June'), 
										JText::_('July'), 
										JText::_('August'), 
										JText::_('September'), 
										JText::_('October'), 
										JText::_('Novermber'), 
										JText::_('December'));
									$months_short = array("Jan", 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec');

									/*$out .= '<table cellpadding="2" cellspacing="0" border=0">
									 <tr class="sectiontableheader" align="center">
										<th class="sectiontableheader"></th>
										<th class="sectiontableheader">1 - 7</th>
										<th class="sectiontableheader">8 - 14</th>
										<th class="sectiontableheader">15 - 21</th>
										<th class="sectiontableheader">22 - 28</th>
										<th class="sectiontableheader">29 - 31</th>
										</tr>';
										foreach ($months as $n => $month)
										{
										$out .= '<tr class="sectiontableentry'.($n % 2 + 1).'"><td>'.JText::_($month).'</td>';
										$num = date('t', mktime(0, 0, 0, $n + 1, 1, date('Y')));
										$num = ceil($num / 7);
										for ($i = 1; $i <= $num; $i ++)
										{
										$out .= '<td align="center">'.$advanced[$n][$i].'</td>';
											
										}
										if($num == 4)
										$out .= '<td></td>';
										}*/
									$week_dates = array('1 - 7', '8 - 14', '15 - 21', '22 - 28', '29 - 31');
									$out .= '
									<table cellpadding="2" cellspacing="0" border=0" '.($option != 'com_commerce' ? 'class="small"' : '').'>
										<tr class="sectiontableheader" align="center">
											<th class="sectiontableheader"></th>';
									foreach ($months_short as $n => $month)
									$out .= '<th class="sectiontableheader" nowrap>'.JText::_($month).'</th>';
									$out .= '</tr>';
									for ($i = 0; $i < 5; $i ++)
									{
										$out .= '<tr class="sectiontableentry'.($i % 2 + 1).'">
											<td nowrap><b>'.$week_dates[$i].'</b></td>';										
											
										foreach ($months as $n => $month)
										{
											$num = date('t', mktime(0, 0, 0, $n + 1, 1, date('Y')));
											$num = ceil($num / 7);

											$out .= '<td align="center">'.( (isset($advanced[$n][$i + 1]) && $advanced[$n][$i + 1] != '') ? $advanced[$n][$i + 1] : $value['rent']).'</td>';
										}
										$out .= '</tr>';
									}
									$out .= '</table>';
									break;

								case 'months':
									$months = array(
										JText::_('January'), 
										JText::_('Febrary'), 
										JText::_('March'), 
										JText::_('April'), 
										JText::_('May'), 
										JText::_('June'), 
										JText::_('July'), 
										JText::_('August'), 
										JText::_('September'), 
										JText::_('October'), 
										JText::_('Novermber'), 
										JText::_('December'));

									foreach ($tmp as $rent => $m)
									{
										$to_out = array();
										foreach($m as $i => $mon)
										{
											$to_out[] = JText::_($months[$mon]);
										}
										$out .= '<li><b>+'.$rent.'</b> '.JText::_('per').' '.implode(", ", $to_out).'.';
									}
									break;
							}
							break;
							
							case 'month':
								$months = array(
									JText::_('January'), 
									JText::_('Febrary'), 
									JText::_('March'), 
									JText::_('April'), 
									JText::_('May'), 
									JText::_('June'), 
									JText::_('July'), 
									JText::_('August'), 
									JText::_('September'), 
									JText::_('October'), 
									JText::_('Novermber'), 
									JText::_('December'));

								foreach ($tmp as $rent => $m)
								{
									$to_out = array();
									foreach($m as $i => $mon)
									{
										$to_out[] = JText::_($months[$mon]);
									}
									$out .= '<li><b>+'.$rent.'</b> '.JText::_('per').' '.implode(", ", $to_out).'.';
								}
								break;
					}
					//$out .= '</fieldset>';
				}
				else
				$out .= ' +'.$value['rent']. ' '. JText::_('per').' 1 '.JText::_($value['days_type']);
			}
			$out .= '</ul>';
			$discount = $value['discount'];
			if($discount['amount'][0] != '')
			{
				$out .= '<ul>'.JText::_('You can get a discount').': ';
				$out .= '<li><b>'.$discount['amount'][0].'%</b> '.JText::_('per more than').' '.$discount['per'][0].' '.JText::_($value['days_type'].'(s)').'.</li>';
				if($discount['amount'][1] != '')
				{
					$out .= '<li><b>'.$discount['amount'][1].'%</b> '.JText::_('per more than').' '.$discount['per'][1].' '.JText::_($value['days_type'].'(s)').'.</li>';
				}
				$out .= '</ul>';
			}

		}
		else
		$out = JText::_('Rent affect is'). ' +'.$value['rent']. ' '. JText::_('per').' 1 '.JText::_($value['days_type']);


		if($option == 'com_commerce')
		{
			$field->fid_num .= '*';
			$out .= '<p>'.JText::_('Click an appropriate dates to select').'</p>';
		}
		else
		{
			$field->fid_num = '';
		}
		if(JRequest::getString('view') != 'list')
		{
			$db = JFactory::getDBO();
			$uri = JFactory::getURI();
			$me = JFactory::getUser();

			$print = '';

			if($option != 'com_commerce')
			$out .= '<form action="index2.php" method="post">';

			$default = (isset($field->default_values['property']) && $field->default_values['property'] != '') ? $field->default_values['property'] : array();
			settype($default, 'array');

			$sql = "SELECT value as prop FROM #__js_res_field_extra WHERE ref_id = 'rent' AND field_id = '".( JRequest::getString('option') == 'com_commerce' ? $field->id : $field->fid )."' AND record_id = '{$field->record_id}'";
			$db->setQuery($sql);
			$res = $db->loadResult();

			$res = explode(";", $res);

			$booked = array();
			foreach ($res as $k => $v)
			{
				if($v != '')
				{
					$booked[$k]->prop = $v;
					$booked[$k]->status_id = 'manual';
				}
			}


			$sql = "SELECT DISTINCT(pp.property) as prop, pr.status_id
			FROM #__jc_orders_products_property pp
			JOIN #__jc_orders_products pr ON pr.id = pp.order_product_id
			JOIN #__jc_orders_statuses st ON st.id = pr.status_id
			JOIN #__jc_orders ord ON ord.id = pr.order_id
			WHERE pp.prop_id = '".( JRequest::getString('option') == 'com_commerce' ? $field->id : $field->fid )."'
			AND pr.status_id IN (2,5)
			ORDER BY pp.property"; 
			$db->setQuery($sql);
			$res = $db->loadObjectList();

			if($res)
			{
				if(count($booked))
				$res = array_merge($res, $booked);
			}
			else
			$res = $booked;

			$ordered = array();
			$status = array();
			switch($value['days_type'])
			{
				case 'hour':
					if(count($res))
					{
						foreach ($res as $val)
						{
							if( count( explode("-", $val->prop) ) == 4 )
							{
								$ordered[] = $val->prop;
								$status[] = $val->status_id;
							}
						}
					}
					if($option != 'com_commerce')
					{
						if($params->get('show_hour_rent', 'shadowbox') == 'shadowbox')
						{
							$document = &JFactory::getDocument();
							$document->addScript(JURI::root()."components/com_resource/helpers/shadowbox2/build/adapter/shadowbox-base.js");
							$document->addScript(JURI::root()."components/com_resource/helpers/shadowbox2/build/shadowbox.js");

							$print .= "<script language='JavaScript'>
								Shadowbox.loadSkin('classic', '".JURI::root()."components/com_resource/helpers/shadowbox2/build/skin');
								Shadowbox.loadLanguage('en', '".JURI::root()."components/com_resource/helpers/shadowbox2/build/lang');
								Shadowbox.loadPlayer(['html'], '".JURI::root()."components/com_resource/helpers/shadowbox2/build/player');
								window.onload = function(){
								Shadowbox.init();
								}
							</script>";
							if($user == $me->id && $user != 0)
							{
								$print .= '<a href="javascript: void(0);"
								onclick="displayRentTable(\''.$field->id.'-'.$field->record_id.'-'.$field->fid_num.'\');">
								'.$params->get('link_text', JText::_('Open Availability table')).'</a>
								<div>
									<div style="position: absolute; display: none; z-index: 100;" 
										id="rent-'. $field->id.'-'.$field->record_id.'-'.$field->fid_num. '">';
							}
							else
							{
								$print .= '
						<a href="#rent-'. $field->id.'" rel="shadowbox; width=800; height=800; options={enableKeys: false};">
						'.$params->get('link_text', JText::_('Open Availability table')).'</a>
						<div id="rent-'. $field->id.'" style="display: none;">
						<div id="rent-'. $field->id.'-content" style="padding: 5px;">';
							}
						}

					}
					else
					{
						$print .= '<a href="javascript: void(0);" onclick="displayRentTable(\''.$field->id.'-'.$field->record_id.'-'.$field->fid_num.'\');">
							'.$params->get('link_text', JText::_('Open Availability table')).'</a>
							<div style="position: absolute;">
							<div style="position: relative; left: -20%; display: none; z-index: 15;" id="rent-'. $field->id.'-'.$field->record_id.'-'.$field->fid_num. '">';
					}

					$hours = array();
					for($i = 0; $i < 24; $i++ )
					{
						$hours[] = $i < 10 ? '0'.$i : $i;
						$hours_to[] = ($i+1 < 10) ? '0'.($i+1) : $i+1;
					}
					for($i = date('j', strtotime("+1 day")); $i <= date("t"); $i++ )
					{
						$days[] = $i;

					}
					$date[] = date('F, Y');
					if(date('j') > 1)
					{
						for($i = 1; $i < date("j", strtotime("+1 month")) + 1; $i++ )
						{
							$days[] = $i;
						}
						$date[] =  date('F, Y', strtotime("+1 month"));
					}

					$print .= '<table border="0" cellpadding="1" cellspacing="0" width="90%" style="background-color: white; border: 1px solid silver;">';
					$print .= '<tr class="sectiontableheader">
							<th class="sectiontableheader" style="text-align: right;"'.($advanced ? 'colspan="2"' : '').' width="1%">
							'.($advanced ? JText::_('Affect') : '').'</th>';
					//if($advanced) $print .= '<th class="sectiontableheader" align="center"></th>';
					foreach ($days as $k => $day)
					{
						if($day == date('t'))
						$colspan = ($k + 1);
					}
					if($colspan < count($days))
					$print .= '	<th class="sectiontableheader" colspan="'.$colspan.'" align="center" width="1%"><b>'.$date[0].'</b></td>
							<th class="sectiontableheader" colspan="'.(count($days) - $colspan ).'" align="center" width="1%"><b>'.$date[1].'</b></td>';
					else
					$print .= '	<th class="sectiontableheader" colspan="'. count($days) .'" align="center" width="1%"><b>'.$date[0].'</b></td>';
					$print .= '</tr>';
					$print .= '<tr>
							<td width="1%"></td>';
					if($advanced) $print .= '<td width="1%"></td>';
					$date = array();

					foreach ($days as $k => $day)
					{
						$print .= '
							<td width="22px" align="center" style="border-left: 1px solid silver">'.$day.'</td>';
						$date[] = date('Y-m-d', strtotime("+".( $k + 1 )." day"));
					}
					$print .= '</tr>';

					foreach ($hours as $k => $hour)
					{

						$print .= '
						<tr class="sectiontableentry'.($k%2 + 1).'">
							<td class="small" nowrap>'.$hour.'<sup>00</sup> - '.$hours_to[$k].'<sup>00</sup></td>';
						if($advanced) $print .= '<td align="center" style="border-left: 1px solid silver;" width="1%">+'.
						( (isset($advanced[$k]) && $advanced[$k] != '') ? $advanced[$k] : $value['rent']).'</td>';
						foreach ($days as $i => $day)
						{
							if($params->get('advanced') && count($advanced) && isset($advanced[$k]) && $advanced[$k] != '')
							{
								$val = $date[$i].'-'.$k.$this->SEPARATOR.$advanced[$k];
								$rental = $advanced[$k];
							}
							else
							{
								$val = $date[$i].'-'.$k.$this->SEPARATOR.$value['rent'];
								$rental = $value['rent'];
							}
							$selected = '';
							$today = '';
							if($date[$i] == date('Y-m-d')) $today = 'style="border: 1px solid #333;"';

							$f = array_search($date[$i].'-'.$k, $ordered);
							if($f || (!$f && in_array($date[$i].'-'.$k, $ordered)))
							{
								if($status[$f] == 'manual' && $user == $me->id && $user != 0)
								{
									$reserved = $this->manual;
									$status[$f] = 5;
								}
								else
								{
									$reserved = $this->reserved;
									if($status[$f] == 'manual') $status[$f] = 5;
								}
								$stat = $this->getStatusInfo($status[$f]);
								$print .= '<td align="center" width="1%" title="'.($stat->isfinal ? JText::_('Reserved') : JText::_('On hold') ).'"
							style="border-left: 1px solid silver; background-color: '.($stat->isfinal ? $reserved : $this->onhold).';"></div>
							</td>';
							}
							else
							{
								if( count($default) && in_array($val, $default) )
								{
									$selected = '<a href="javascript: void();"><span style="color: red; font-weight: bold;" class="selectable">o</span></a>
							<input type="hidden" name="fields['. $field->fid . '][property][]" value="'.$val.'">';
								}
								$print .= '
							<td  width="1%" id="'.$field->fid_num.$date[$i].'-'.$k.'" 
							onclick="mark(\''.$field->fid_num.$date[$i].'-'.$k.'\', \''.$date[$i].'-'.$k.'\', \''.$field->fid.'\', \''.$rental.'\')" 
								align="center" style="border-left: 1px solid silver">'.$selected.'</td>';
							}
						}
						$print .= '
						</tr>';
					}
					$print .='</table>';
					if($params->get('show_hour_rent', 'shadowbox') == 'shadowbox')
					{
						if($option != 'com_commerce' && $params->get('customer_alert') != '')
						$print .= '<p style="color: #ffffff;">'.JText::_($params->get('customer_alert')).'</p>';
						else
						$print .= '<br>';
						$print .= '
							</div>
						</div>';
					}

					break;

				case 'day':
					if(count($res))
					{
						foreach ($res as $val)
						{
							if( count( explode("-", $val->prop) ) == 3 )
							{
								$ordered[] = $val->prop;
								$status[] = $val->status_id;
							}
						}
					}
					$amount = $value['amount'];
					$print[] = '<table width="100%" cellspacing="5" cellpadding="0">';
					$print[] = '<tr valign="top">';
					for($i = 0; $i < $amount; $i++)
					{
						$print[] = '<td align="center">';
						$days = array();
						$time = strtotime("+$i month");
						$print[] = '<b>'.JText::_(date('F', $time)).', '.date('Y', $time).'</b>';
						for($j = 1; $j <= date('t', $time); $j++)
						{
							$days[$j] = date('w', strtotime(date("Y-m-".$j, $time)) );
							$date[$j] = date("Y-m-".$j, $time);
						}
						$print[] = $this->generateMonthCal($days, $date, $field, $params, $value, $default, $ordered, $status, $user);
						$print[] = '</td>';
						if($i % 2 == 1) $print[] = '</tr><tr valign="top">';

					}
					$print[] = '</tr>';
					$print[] = '</table>';
					$print = implode($print);
					break;

				case 'month':
					if(count($res))
					{
						foreach ($res as $val)
						{
							if( count( explode("-", $val->prop) ) == 2 )
							{
								$ordered[] = $val->prop;
								$status[] = $val->status_id;
							}
						}
					}
					$month_amount = 12 * $value['amount'];

					$cyear = date('Y');
					$cmonth = date('n');
					$print[] = '<table cellspacing="0" cellpadding="2" border="0">
					<tr valign="top">';
					$print[] = '<td width="33%"><table width="100%" cellspacing="0" cellpadding="0" border="0">';
					$print[] = '<tr class="sectiontableheader">
					<th class="sectiontableheader" colspan="3"><b>'.$cyear.'</b></td></tr>';
					$tmp = 0;
					for ($i = $cmonth; $i <= 12; $i ++)
					{
						if($tmp % 3 == 0) $print[] = '<tr class="sectiontableentry'.($tmp % 2 + 1).'">';
						$time = strtotime("$cyear-$i-1");
						$month = JText::_(date("M", $time));
						$date = date("Y-m", $time);
						$selected = $month;
						//$val = $date.$this->SEPARATOR.$value['rent'];
						if($params->get('advanced') && count($advanced))
						{
							$val = $date.$this->SEPARATOR.$advanced[$i-1];
							$rental = $advanced[$i-1];
						}
						else
						{
							$val = $date.$this->SEPARATOR.$value['rent'];
							$rental = $value['rent'];
						}
						$f = array_search($date, $ordered);
						if($f || (!$f && in_array($date, $ordered)))
						{
							if($status[$f] == 'manual' && $user == $me->id && $user != 0)
							{
								$reserved = $this->manual;
								$status[$f] = 5;
							}
							else
							{
								$reserved = $this->reserved;
								if($status[$f] == 'manual') $status[$f] = 5;
							}
							$stat = $this->getStatusInfo($status[$f]);
							$print[] = '<td align="center" width="60px" style="background-color: '.($stat->isfinal ? $reserved : $this->onhold ).'"
								title="'.($stat->isfinal ? JText::_('Reserved') : JText::_('On hold') ).'">'.$month.'</td>';
						}
						else
						{
							if( count($default) && in_array($val, $default))
							{
								$selected = '<span style="color: red; font-weight: bold;">'.$month.'+</span>
							<input type="hidden" name="fields['. $field->fid. '][property][]" value="'.$val.'">';
							}
							$print[] = '<td align="center" width="60px" id="'.$field->fid_num.$date.'"
								onclick="selectDate(\''.$field->fid_num.$date .'\', \''.$month.'+\', \''.$date .'\', \''.$field->fid.'\', \''.$rental.'\')"
								align="center" class="selectable"><a href="javascript: void(0);">'.$selected.'</a></td>';
						}
						if($tmp % 3 == 2) $print[] = '</tr>';
						$tmp++;
					}
					$print[] = '</table></td>';

					$month_amount = $month_amount - $cmonth + 1;

					if($ost = ceil($month_amount / 12))
					{
						for ($i = 1; $i <= $ost; $i ++)
						{
							$tmp = 0;
							$to = ($month_amount > 12) ? 12 : 12 - $month_amount;
							$year = date("Y", strtotime("+$i year") );

							$print[] = '<td width="33%"><table width="100%" cellspacing="0" cellpadding="0" border="0">';
							$print[] = '<tr class="sectiontableheader">
							<th class="sectiontableheader" colspan="3"><b>'.$year.'</b></td></tr>';
							for ($j = 1; $j <= $to ; $j ++)
							{
								if($tmp % 3 == 0) $print[] = '<tr class="sectiontableentry'.($tmp % 2 + 1).'">';
								$time = strtotime(($cyear + $i)."-$j-1"); //mktime(0, 0, 0, $j, 1, $cyear + $i);
								$month = JText::_(date("M", $time));
								$date = date("Y-m", $time);
								$selected = $month;

								if($params->get('advanced') && count($advanced))
								{
									$val = $date.$this->SEPARATOR.$advanced[$j-1];
									$rental = $advanced[$j-1];

								}
								else
								{
									$val = $date.$this->SEPARATOR.$value['rent'];
									$rental = $value['rent'];
								}

								$f = array_search($date, $ordered);
								if($f || (!$f && in_array($date, $ordered)))
								{
									if($status[$f] == 'manual' && $user == $me->id && $user != 0)
									{
										$reserved = $this->manual;
										$status[$f] = 5;
									}
									else
									{
										$reserved = $this->reserved;
										if($status[$f] == 'manual') $status[$f] = 5;
									}
									$stat = $this->getStatusInfo($status[$f]);
									$print[] = '<td align="center" width="60px" style="background-color: '.($stat->isfinal ? $reserved : $this->onhold ).'"
								title="'.($stat->isfinal ? JText::_('Reserved') : JText::_('On hold') ).'">'.$month.'</td>';
								}
								else
								{
									if( count($default) && in_array($val, $default))
									{
										$selected = '<span style="color: red; font-weight: bold;">'.$month.'+</span>
									<input type="hidden" name="fields['. $field->fid. '][property][]" value="'.$val.'">';
									}
									$print[] = '<td align="center" width="60px" id="'.$field->fid_num.$date.'"
								onclick="selectDate(\''.$field->fid_num.$date .'\', \''.$month.'+\', \''.$date .'\', \''.$field->fid.'\', \''.$rental.'\')"
								align="center"><a href="javascript: void(0);">'.$selected.'</a></td>';
								}
								if($tmp % 3 == 2) $print[] = '</tr>';
								$tmp++;
							}
							$print[] = '</table></td>';
							$month_amount = $month_amount - 12;
						}
					}
					$print[] = '</td></tr></table>';
					$print = implode($print);

					break;
			}

			$print .= '<div id="rentHidden"></div>';
			$print .= '
				<script language="JavaScript">
				
				function mark(id, val, k, rent)
				{
					var val = val + "'.$this->SEPARATOR.'" + rent;
					if(document.getElementById(id).innerHTML == "")
					{
						document.getElementById(id).innerHTML = "<a href=\'javascript: void(0);\'>"
							+ "<span style=\'color: red; font-weight: bold;\'>o</span></a>"
							+ "<input type=\'hidden\' name=\'fields[" + k + "][property][]\' value=\'" + val + "\'>";
					}
					else
					{						
						document.getElementById(id).innerHTML = "";
					}
				}
				
				function selectDate(id, mark, val, k , rent)
				{
					var selected = document.getElementById(id).innerHTML;
					var val = val + "'.$this->SEPARATOR.'" + rent;
					selected = selected.lastIndexOf("+");
					if(selected == -1)
					{
						document.getElementById(id).innerHTML = "<a href=\'javascript: void(0);\'>"
							+ "<span style=\'color: red; font-weight: bold;\'>" + mark + "</span></a>"
							+ "<input type=\'hidden\' name=\'fields[" + k + "][property][]\' value=\'" + val + "\'>";
					}
					else
					{
						document.getElementById(id).innerHTML = "<a href=\'javascript: void(0);\'>" + mark.substring(0, mark.lastIndexOf("+")) + "</a>";
					}
				}
				function displayRentTable(id)
				{
					var dst = document.getElementById("rent-" + id);
					
					if(dst.style.display == \'none\')
						dst.style.display = \'block\';
					else
						dst.style.display = \'none\';
				}
				
				function getlist(id)
				{
					myarr = document.getElementsByName("fields["+ id +"][property][]");
					var st = new Array( );
					for (var i = 0; i < myarr.length; i++) {
    					st[i] = myarr[i].value;
					}
					return st.join("|");
				}
				</script>';

			$out .= '<input type="hidden" name="fields['. $field->fid. '][require_before_order]" value="'. $params->get('require_before_order', 0). '" />';
			$out .= $print;
			if($option != 'com_commerce' && $params->get('customer_alert') != '')
			$out .= '<p>'.JText::_($params->get('customer_alert')).'</p>';
			if($user == $me->id && $user != 0 && JRequest::getVar('option') == 'com_resource')
			{
				$out .= '<p>'.JText::_('You can set dates Reserved manually by selecting the dates and clicking the Apply button').'<br>';
				$out .= '<input type="button" class="button" value="'.JText::_('Apply').'"
				 onclick="var str = getlist('.$field->fid.');
				 xajax_jsCallPlugin(\'joomsuite_content_fields\', \'product_property_rent\', \'xajax_jcBookDates\', ['.$field->record_id.', '.$field->fid.', str]);">';
				$out .= '</p>';
				/*
				 $out .= '<input type="submit" class="button" value="'.JText::_('Apply').'">';
				 $out .= '<input type="hidden" value="com_resource" name="option">';
				 $out .= '<input type="hidden" value="article" name="view">';
				 $out .= '<input type="hidden" value="'.JRequest::getInt('article').'" name="article">';
				 $out .= '<input type="hidden" value="'.JRequest::getInt('category_id').'" name="category_id">';
				 $out .= '<input type="hidden" value="'.JRequest::getInt('Itemid').'" name="Itemid">';
				 $out .= '<input type="hidden" value="1" name="book">';
				 */
			}

			if($option != 'com_commerce') $out .= '</form>';
		}
	}

	function onRenderPropertyValue($type, &$value)
	{
		if($type != 'product_property_rent') return;

		for($i = 0; $i < 24; $i++ )
		{
			$hours[] = $i < 10 ? '0'.$i : $i;
			$hours_to[] = ($i+1 < 10) ? '0'.($i+1) : $i+1;
		}
		$val = explode("-", $value);

		if(isset($val[2]))
		$out = date('M d, Y', strtotime($val[0].'-'.$val[1].'-'.$val[2]));
		else
		$out = date('M, Y', strtotime($val[0].'-'.$val[1].'-01'));

		if(isset($val[3]))
		{
			$out = $hours[$val[3]] .'<sup>00</sup>-'.$hours_to[$val[3]].'<sup>00</sup> '.$out;
		}
		$value = $out;

	}

	function onCommerceCartRecalculate(&$props, $fid, $rid)
	{
		$db = JFactory::getDBO();
		$sql = "SELECT params FROM #__js_res_fields WHERE id = '$fid'";
		$db->setQuery($sql);
		$params = $db->loadResult();
		$params = new JParameter($params);
		if($params->get('advanced'))
		{
			$sql = "SELECT field_value FROM #__js_res_record_values WHERE field_id = '$fid' AND record_id = '$rid' ";
			$db->setQuery($sql);
			if($value = $db->loadResult())
			{
				$val = unserialize($value);
				if($disc = $val['discount'])
				{
					$num = count($props);
					$discount = 0;
					if($num >= $disc['per'][0])
					$discount = $disc['amount'][0];
					if($num >= $disc['per'][1])
					$discount = $disc['amount'][1];
					if($discount)
					{
						foreach ($props as $i => $prop)
						{
							$prop = explode($this->SEPARATOR, $prop);
							$prop[2] = '+'.($prop[1] - round($prop[1] * $discount / 100, 2));
							$props[$i] = implode($this->SEPARATOR, $prop);
						}
					}
				}
			}
		}
	}

	function generateMonthCal($days, $date, $field, $params, $value, $default, $ordered, $status, $user)
	{

		$me = JFactory::getUser();
		if($monday = $params->get('monday_first'))
		$week = array (JText::_('Mon'), JText::_('Tue'), JText::_('Wed'), JText::_('Thu'), JText::_('Fri'), JText::_('Sat'), JText::_('Sun'));
		else
		$week = array (JText::_('Sun'), JText::_('Mon'), JText::_('Tue'), JText::_('Wed'), JText::_('Thu'), JText::_('Fri'), JText::_('Sat'));

		$month[] = '<table cellpadding="2" cellspacing="0" border="0" style="border: 1px solid silver;">
				<tbody>';
		$month[] = '<tr align="center" class="sectiontableheader">';
		foreach ($week as $val)
		{
			$month[] = '<th class="sectiontableheader" width="25px" align="center"><b>'.$val.'</b></th>';
		}
		$month[] = "</tr>";
		$tmp = 0;
		$option = JRequest::getVar('option');

		$advanced = $params->get('advanced') ? $value['advanced_rent'][$value['days_type']] : array();

		foreach($days as $i => $day)
		{
			if( ( (!$monday && $day == 0) || ($monday && $day == 1) ) || $i == 1)
			{
				$month[] = '<tr align="center" class="sectiontableentry'.($tmp % 2 + 1).'">';
				$to = $monday ? $day - 1: $day;
				if($to < 0) $to = 6;
				for ($k = 0; $k < $to; $k++) {
					$month[] = "<td></td>";
				}
				$tmp ++;
			}


			$val = $date[$i].$this->SEPARATOR.$value['rent'];
			$rental = $value['rent'];

			//*********************************
			if($params->get('advanced') && count($advanced))
			{

				if( $value['days_type'] == 'day' && $value['advanced_rent']['day_period'] == 'weeks')
				{
					$date_week = ceil(date('j', strtotime($date[$i])) / 7);
					$month_week = date('n', strtotime($date[$i])) - 1;
					$rent_val = ($advanced[$month_week][$date_week] != '') ? $advanced[$month_week][$date_week] : $rental;
					$val = $date[$i].$this->SEPARATOR.$rent_val;
					$rental = $rent_val;
				}
				else if( $value['days_type'] == 'day' && $value['advanced_rent']['day_period'] == 'months')
				{
					$month_week = date('n', strtotime($date[$i])) - 1;
					$rent_val = ($advanced[$month_week] != '') ? $advanced[$month_week]: $rental;
					$val = $date[$i].$this->SEPARATOR.$rent_val;
					$rental = $rent_val;
				}
				else
				{
					$rent_val = ($advanced[$day] != '') ? $advanced[$day]: $rental;
					$val = $date[$i].$this->SEPARATOR.$rent_val;
					$rental = $rent_val;
				}
			}

			$selected = $i;
			$today = '';
			if($date[$i] == date('Y-m-j')) $today = 'style="border: 1px solid #333; font-weight: bold;"';
			$f = array_search($date[$i], $ordered);
			if( $f || (!$f && in_array($date[$i], $ordered)) )
			{
				if(strtotime($date[$i]) < strtotime(date('Y-m-j')))
				$month[] = '<td align="center" style="color: #aaa;">'.$i.'</td>';
				else
				{
					if($status[$f] == 'manual' && $user == $me->id && $user != 0)
					{
						$reserved = $this->manual;
						$status[$f] = 5;
					}
					else
					{
						$reserved = $this->reserved;
						if($status[$f] == 'manual') $status[$f] = 5;
					}
					$stat = $this->getStatusInfo($status[$f]);
					if($stat->id != 3)
					$month[] = '<td align="center" style="background-color:'.($stat->isfinal ? $reserved : $this->onhold).';
						 '.($today != '' ? str_replace('style=', '', str_replace('"', '',$today)) : '').'"
						 title="'.($stat->isfinal ? JText::_('Reserved') : JText::_('On hold') ).'">'.$i.'</td>';					
					else
					{
						if( count($default) && in_array($val, $default))
						{
							$selected = '<span style="color: red; font-weight: bold;">'.$i.'+</span>
							<input type="hidden" name="fields['. $field->fid . '][property][]" value="'.$val.'">';
						}

						$month[] = '<td id="'.$field->fid_num.$date[$i].'"
						onclick="selectDate(\''.$field->fid_num.$date[$i].'\', \''.$i.'+\', \''.$date[$i].'\', \''.	$field->fid.'\', \''.$rental.'\')"
						align="center" '.$today.'><a href="javascript: void(0);">'.$selected.'</a></td>';
					}
				}
			}
			else
			{
				if(strtotime($date[$i]) < strtotime(date('Y-m-j')))
				$month[] = '<td align="center" style="color: #aaa;">'.$i.'</td>';
				else
				{
					if( count($default) && in_array($val, $default))
					{
						$selected = '<span style="color: red; font-weight: bold;">'.$i.'+</span>
							<input type="hidden" name="fields['. $field->fid .'][property][]" value="'.$val.'">';
					}
					//echo 'day = '.$day.' / rent = '.$rental.' / date = '.$date[$i].'<br>';
					$month[] = '<td id="'.$field->fid_num.$date[$i].'"
					onclick="selectDate(\''.$field->fid_num.$date[$i].'\', \''.$i.'+\', \''.$date[$i].'\', \''.$field->fid.'\', \''.$rental.'\')"
				align="center" '.$today.'><a href="javascript: void(0);">'.$selected.'</a></td>';
				}
			}

			//**************************************

			if((!$monday && $day == 6) || ($monday && $day == 0) ) $month[] = "</tr>";

		}
		$month[] = '
			</tbody>
		</table>
		<br>';

		$out = implode($month);
		return $out;
	}

	function getStatusInfo($sid)
	{
		$db = JFactory::getDBO();
		$sql = "SELECT id, isfinal FROM #__jc_orders_statuses WHERE id = '$sid'";
		$db->setQuery($sql);
		return $db->loadObject();
	}

	function jcBookDates($field)
	{
		global $mainframe;
		$vals = array();
		$vals = JRequest::getVar('fields');
		$vals = $vals[$field->fid]['property'];
		if(count($vals))
		{
			$date = array();
			foreach ($vals as $val)
			{
				$dt = explode($this->SEPARATOR, $val);
				$date[] = $dt[0];
			}
			$value = implode(";", $date);
			$db = JFactory::getDBO();
			$user = JFactory::getUser();
			$sql = "SELECT id, value FROM #__js_res_field_extra WHERE field_id = '{$field->fid}' AND record_id='{$field->record_id}' AND ref_id = 'rent'";
			$db->setQuery($sql);
			if($res = $db->loadObject())
			{
				$def = explode(';', $res->value);
				foreach ($def as $k => $dat)
				{
					$getdate = explode('-', $dat);
					if(time() > strtotime($getdate[0].'-'.$getdate[1].'-'.($getdate[2] ? $getdate[2] : 1)))
					unset($def[$k]);
				}
				$date = array_merge($date, $def);
				$value = implode(";", $date);
				$sql = "UPDATE #__js_res_field_extra SET value = '$value' WHERE id = '{$res->id}'";
				$db->setQuery($sql);
				$db->query();
			}
			else
			{
				$sql = "INSERT INTO #__js_res_field_extra SET value = '$value', field_id = '{$field->fid}', record_id='{$field->record_id}', ref_id = 'rent',
				user_id = '{$user->id}'";
				$db->setQuery($sql);
				$db->query();
			}
		}
		$link = 'index.php?option='.JRequest::getVar('option').'&controller='.JRequest::getVar('view').'&article='.JRequest::getInt('article');
		$link .= '&category_id='.JRequest::getInt('category_id').'&Itemid='.JRequest::getInt('Itemid');
		$mainframe->redirect($link);

	}

	function xajax_jcBookDates($objResponse, $rid, $fid, $value)
	{
		if($value == '')return $objResponse;
		$vals = explode("|", $value);
		if(count($vals))
		{
			$date = array();
			foreach ($vals as $val)
			{
				$dt = explode($this->SEPARATOR, $val);
				$date[] = $dt[0];
				$elem = explode("-", $dt[0]);
				switch(count($elem))
				{
					case '4' : $show = ''; break;
					case '3' : $show = $elem[2]; break;
					case '2' : $show = date('M' ,strtotime($dt[0].'-01')); break;
				}
				$objResponse->assign($dt[0], 'style.background', $this->manual);
				$objResponse->assign($dt[0], 'innerHTML', $show);
				$objResponse->assign($dt[0], 'onclick', '');

			}

			/*$value = implode(";", $date);

			$db = JFactory::getDBO();
			$sql = "SELECT id FROM #__js_res_field_extra WHERE field_id = '$fid' AND record_id='$rid' AND ref_id = 'rent'";
			$db->setQuery($sql);
			if($id = $db->loadResult())
			{
			$sql = "UPDATE #__js_res_field_extra SET value = '$value' WHERE id = '$id'";
			$db->setQuery($sql);
			$db->query();
			}
			else
			{
			$sql = "INSERT INTO #__js_res_field_extra SET value = '$value', field_id = '$fid', record_id='$rid', ref_id = 'rent'";
			$db->setQuery($sql);
			$db->query();
			}*/

			$value = implode(";", $date);
			$db = JFactory::getDBO();
			$user = JFactory::getUser();
			$sql = "SELECT id, value FROM #__js_res_field_extra WHERE field_id = '{$fid}' AND record_id='{$rid}' AND ref_id = 'rent'";
			$db->setQuery($sql);
			if($res = $db->loadObject())
			{
				$def = explode(';', $res->value);
				foreach ($def as $k => $dat)
				{
					$getdate = explode('-', $dat);
					if(time() > strtotime($getdate[0].'-'.$getdate[1].'-'.(isset($getdate[2]) ? $getdate[2] : 1)))
					unset($def[$k]);
				}
				$date = array_merge($date, $def);
				$value = implode(";", $date);
				$sql = "UPDATE #__js_res_field_extra SET value = '$value' WHERE id = '{$res->id}'";
				$db->setQuery($sql);
				$db->query();
			}
			else
			{
				$sql = "INSERT INTO #__js_res_field_extra SET value = '$value', field_id = '{$fid}', record_id='{$rid}', ref_id = 'rent',
				user_id = '{$user->id}'";
				$db->setQuery($sql);
				$db->query();
			}
		}
		return $objResponse;
	}

	function xajax_jcShowAdvanced($objResponse, $dtype, $id, $default, $monday, $add)
	{
		$val = unserialize($default);
		$advanced = isset($val['advanced_rent']) ? $val['advanced_rent'] : array();
		$val['rent'] = str_replace("+", "", $val['rent']);
		switch ($dtype)
		{
			case 'hour'  :
				$per_hour = '<table border="0">';
				for($i = 0; $i < 24; $i++ )
				{
					$hours = $i < 10 ? '0'.$i : $i;
					$hours_to= ($i+1 < 10) ? '0'.($i+1) : $i+1;
					$default = isset($advanced['hour']) ? $advanced['hour'][$i] : (isset($val['rent']) ? $val['rent'] : '');
					if($i % 4 == 0)
					$per_hour .= '<tr>';
					$per_hour .= '<td>'.$hours.'<sup>00</sup>-'.$hours_to.'<sup>00</sup></td>
					<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][hour][]" 
						id="fields-'.$id.'-advanced_rent-hours-'.$i.'"	
						value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';

					if($i % 4 == 3)
					$per_hour .= '</tr>';
				}
				$per_hour .= '</table>';

				$show = $per_hour;
				break;

			case 'day'   :
				$per_day = '<b>'.JText::_('Select period for setting the affect').': </b>';
				/*ob_start();
					?>
					<input type="radio" name="fields[<?php echo $id; ?>][advanced_rent][day_period]" value="week_days"
					onclick="selectdayPeriod('<?php echo $dtype; ?>', '<?php echo $id; ?>', this.value)"> <?php echo JText::_('Week days');?>
					<input type="radio" name="fields[<?php echo $id; ?>][advanced_rent][day_period]" value="weeks"
					onclick="selectdayPeriod('<?php echo $dtype; ?>', '<?php echo $id; ?>', this.value)"> <?php echo JText::_('Weeks');?>
					<input type="radio" name="fields[<?php echo $id; ?>][advanced_rent][day_period]" value="month"
					onclick="selectdayPeriod('<?php echo $dtype; ?>', '<?php echo $id; ?>', this.value)"> <?php echo JText::_('Months');?>
					<?
					$per_day .= ob_get_contents();
					ob_end_clean();*/
				$per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="week_days"
				 onclick="selectdayPeriod(\''.$dtype.'\', \''.$id.'\', this.value)" '.($add == 'week_days' ? 'checked' : '').'> '.JText::_('Week days');
				$per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="weeks"
					onclick="selectdayPeriod(\''.$dtype.'\', \''.$id.'\', this.value)" '.($add == 'weeks' ? 'checked' : '').'> '.JText::_('Weeks');
				$per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="months"
					onclick="selectdayPeriod(\''.$dtype.'\', \''.$id.'\', this.value)" '.($add == 'months' ? 'checked' : '').'> '.JText::_('Months');
					
				/*
				 * $per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="week_days"
				 onclick="xajax_jsCallPlugin(\'joomsuite_content_fields\', \'product_property_rent\', \'xajax_jcShowAdvanced\', [\''.$dtype.'\', '.$id.', \''.$default.'\', '.$monday.', this.value]);"> '.JText::_('Week days');
					$per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="weeks"> '.JText::_('Weeks');
					$per_day .= '<input type="radio" name="fields['.$id.'][advanced_rent][day_period]" value="months"> '.JText::_('Months');
					*/
				if($add != '')
				{
					$per_day .= '<br><br><table border="0">';
					switch ($add)
					{
						case 'week_days':
							$week = array (JText::_('Sunday'), JText::_('Monday'), JText::_('Tuesday'), JText::_('Wednesday'), JText::_('Thursday'), JText::_('Friday'), JText::_('Saturday'));

							/*if($monday)
							 $week = array (JText::_('Monday'), JText::_('Tuesday'), JText::_('Wednesday'), JText::_('Thursday'), JText::_('Friday'), JText::_('Saturday'), JText::_('Sunday'));
							 else
							 $week = array (JText::_('Sunday'), JText::_('Monday'), JText::_('Tuesday'), JText::_('Wednesday'), JText::_('Thursday'), JText::_('Friday'), JText::_('Saturday'));
							 */
							foreach ($week as $i => $day )
							{
								$default = isset($advanced['day']) ? $advanced['day'][$i] : (isset($val['rent']) ? $val['rent'] : '');
								//if($i % 4 == 0)
								$per_day .= '<tr>';
								$per_day .= '
								<td>'.JText::_($day).'</td>
								<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][day][]" 
									id="fields-'.$id.'-advanced_rent-day-'.$i.'"	
									value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';
								//if($i % 4 == 3)
								$per_day .= '</tr>';
							}
							break;

						case 'weeks':
							$months = array(
								JText::_('January'), 
								JText::_('Febrary'), 
								JText::_('March'), 
								JText::_('April'), 
								JText::_('May'), 
								JText::_('June'), 
								JText::_('July'), 
								JText::_('August'), 
								JText::_('September'), 
								JText::_('October'), 
								JText::_('Novermber'), 
								JText::_('December'));
							$per_day .= '<tr><td></td><td>1 - 7</td><td>8 - 14</td><td>15 - 21</td><td>22 - 28</td><td>29 - 31</td></tr>';

							foreach ($months as $n => $month )
							{
								$per_day .= '<tr>';
								$per_day .= '<td>'.JText::_($month).'</td>';
								$num = date('t', mktime(0, 0, 0, $n + 1, 1, date('Y')));
								$num = ceil($num / 7);

								for ($i = 1; $i <= $num; $i ++)
								{
									$default = isset($advanced['day'][$n][$i]) ? $advanced['day'][$n][$i] : (isset($val['rent']) ? $val['rent'] : '');
									$per_day .= '<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][day]['.$n.']['.$i.']"
									id="fields-'.$id.'-advanced_rent-day-'.$n.$i.'"	
									value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';
								}
								if($num == 4)
								$per_day .= '<td></td>';
								$per_day .= '</tr>';
							}
							break;

						case 'months':
							$months = array(
								JText::_('January'), 
								JText::_('Febrary'), 
								JText::_('March'), 
								JText::_('April'), 
								JText::_('May'), 
								JText::_('June'), 
								JText::_('July'), 
								JText::_('August'), 
								JText::_('September'), 
								JText::_('October'), 
								JText::_('Novermber'), 
								JText::_('December'));
							foreach ($months as $i => $month )
							{
								$default = isset($advanced['day'][$i]) ? $advanced['day'][$i] : (isset($val['rent']) ? $val['rent'] : '');
								if($i % 4 == 0)
								$per_day .= '<tr>';
								$per_day .= '
								<td>'.JText::_($month).'</td>
								<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][day][]" 
									id="fields-'.$id.'-advanced_rent-day-'.$i.'"	
									value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';
								if($i % 4 == 3)
								$per_day .= '</tr>';
							}
							break;
					}
					$per_day .= '</table>';
				}

				$show = $per_day;
				break;

						case 'month' :
							$per_month = '<table border="0">';
							$months = array(
								JText::_('January'), 
								JText::_('Febrary'), 
								JText::_('March'), 
								JText::_('April'), 
								JText::_('May'), 
								JText::_('June'), 
								JText::_('July'), 
								JText::_('August'), 
								JText::_('September'), 
								JText::_('October'), 
								JText::_('Novermber'), 
								JText::_('December'));
							foreach ($months as $i => $month )
							{
								$default = isset($advanced['month']) ? $advanced['month'][$i] : (isset($val['rent']) ? $val['rent'] : '');
								if($i % 4 == 0)
								$per_month .= '<tr>';
								$per_month .= '
					<td>'.JText::_($month).'</td>
					<td><input type="text" size="5" name="fields['.$id.'][advanced_rent][month][]" 
						id="fields-'.$id.'-advanced_rent-month-'.$i.'"	
						value="'.$default.'" onkeyup="formatFloat(this.id)"></td>';

								if($i % 4 == 3)
								$per_month .= '</tr>';
							}
							$per_month .= '</table>';

							$show = $per_month;
							break;
		}
		$objResponse->assign('adv-'.$id, 'innerHTML', $show);
		$objResponse->assign('discount1-'.$id, 'innerHTML', $dtype.JText::_('(s)'));
		$objResponse->assign('discount2-'.$id, 'innerHTML', $dtype.JText::_('(s)'));

		return $objResponse;
	}
}
?>